# Italian Stop Words

> A list of Italian [stop words][stopwords].


<section class="intro">

</section>

<!-- /.intro -->


<section class="usage">

## Usage

``` javascript
var stopwords = require( '@stdlib/datasets/savoy-stopwords-it' );
```

#### stopwords()

Returns a list of 399 Italian [stop words][stopwords].

``` javascript
var list = stopwords();
/* returns
    [
        'a',
        'abbastanza',
        'accidenti',
        'ad',
        'adesso',
        'affinche',
        ...
    ]
*/
```

</section>

<!-- /.usage -->


<section class="examples">

## Examples

``` javascript
var floor = require( '@stdlib/math/base/special/floor' );
var randu = require( '@stdlib/math/base/random/randu' );
var stopwords = require( '@stdlib/datasets/savoy-stopwords-it' );

var list = stopwords();
var len = list.length;
var idx;
var i;

// Select random words from the list...
for ( i = 0; i < 100; i++ ) {
    idx = floor( randu()*len );
    console.log( list[ idx ] );
}
```

</section>

<!-- /.examples -->


---

<section class="cli">

## CLI

<section class="usage">

### Usage

``` bash
Usage: savoy-stopwords-it [options]

Options:

  -h,    --help                Print this message.
  -V,    --version             Print the package version.
```

</section>

<!-- /.usage -->


<section class="examples">

### Examples

``` bash
$ savoy-stopwords-it
a
abbastanza
accidenti
ad
...
```

</section>

<!-- /.examples -->

</section>

<!-- /.cli -->

<section class="references">

## References

* Savoy, Jacques. 2005. "IR Multilingual Resources at UniNE." <http://members.unine.ch/jacques.savoy/clef/>.

</section>

<!-- /.references -->


<!-- <license> -->

## License

The data files (databases) and their contents are licensed under a [BSD-2-Clause license][bsd-license]. The software is licensed under [Apache License, Version 2.0][apache-license].

<!-- </license> -->


<section class="links">

[stopwords]: https://en.wikipedia.org/wiki/Stop_words
[bsd-license]: https://opensource.org/licenses/bsd-license.html
[apache-license]: https://www.apache.org/licenses/LICENSE-2.0

</section>

<!-- /.links -->
